from __future__ import print_function
from sys import stdin

def printf(str, *args):
    print(str % args, end='')

max11 = 3       # T1에 입력될 문장의 개수를 위한 상수
max21 = 3       # T2에 입력될 문장의 개수를 위한 상수

t1=[]           # T1에 입력될 문장을 위한 문자열 선언
t2=[]           # T2에 입력될 문장을 위한 문자열 선언
t1t2=[]         # 접합 T1·T2를 저장하기 위한 문자열 선언
t2t1=[]         # 접합 T2·T1을 저장하기 위한 문자열 선언

# 해당 프로그램에 대한 안내를 출력
print("\n\t\t\t    \u250c\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2510")
print("\t\t\t    \u2502           문자열 접합 프로그램            \u2502")
print("\t\t\t    \u2514\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2500\u2518\n")

numbers = ["첫", "두", "세"]

# 3개 문장을 입력받고 T1에 추가
printf("\t\t\t    문자열 T1에 대해 3개의 문자열을 입력하라.\n")

for i in range(0, max11):
    printf("\t\t\t    %s번째 문자열 : "%numbers[i])
    printf("\r\r\t\t\t\t\t\t")
    t1.append(stdin.readline().strip('\n'))

# 3개 문장을 입력받고 T2에 추가
printf("\n\t\t\t    문자열 T2에 대해 3개의 문자열을 입력하라.\n")

for i in range(0, max21):
    printf("\t\t\t    %s번째 문자열 : "%numbers[i])
    printf("\r\r\t\t\t\t\t\t")
    t2.append(stdin.readline().strip('\n'))

printf("\n\t\t\t         문자열들의 접합 결과\n")
printf("\n\t\t\t    T1 \u25cf T2\n")

# T1에 있는 각 문장과 T2에 있는 각 문장의 접합을 T1·T2에 추가
for j in range(0, max21):
    for i in range(0, max11):
        t1t2.append(t1[i] + t2[j])

# T2에 있는 각 문장과 T1에 있는 각 문장의 접합을 T2·T1에 추가
for j in range(0, max11):
    for i in range(0, max21):
        t2t1.append(t2[i] + t1[j])

# 접합 T1·T2와 T2·T1에 대한 결과를 출력
for i in range(0, max11*max21):
    printf("\t\t\t    %s\n" % t1t2[i])

printf("\n\t\t\t    T2 \u25cf T1\n")
for i in range(0, max11*max21):
    printf("\t\t\t    %s\n" % t2t1[i])

stdin.readline()
